<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/

	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	// funciones
	include("./ints/inc_funciones.php");

	// conectar
	$ingenio_conn = array();
	include("./igns/ingenio_conn.php");
	myconnect($ingenio_conn[0],$ingenio_conn[1],$ingenio_conn[2],$ingenio_conn[3]);

	// configurar
	$qig = myquery("SELECT * FROM ".INGENIO,"[canal=conf]");
	while ($row_qig = myfetch($qig))
	{
		define("CONFIG_".$row_qig["igID"], $row_qig["topic"]);
	}
	include("./ints/core/core.modr.php");
	

	// elegir idioma
	If (isset($_GET["len"]))
	{
		$len = $_GET["len"];
		
		if ( CONFIG_13 == "" || CONFIG_13 > 5 || !is_numeric(CONFIG_13))
		{
			$num_idiomas =  0 ;
		} else {
			$num_idiomas =  CONFIG_13 ;		
		}
		
		if ($len <= $num_idiomas)
		{
				
			$qid = myquery("SELECT * FROM ".IDIOMAS,"[canal=lens]");
			while ($row_qid = myfetch($qid))
			{
				define("LEN_".$row_qid["lenID"], $row_qid["topic_".$len]);
			}
								
			$idioma_actual = $len;
				
		} else {
			
			Redir (NOMBRE_DOMINIO.RUTA_INICIO."len".IGUAL."0");
		}
	} else {
		
		Redir (NOMBRE_DOMINIO.RUTA_INICIO."len".IGUAL."0");
	}


header('Content-Type: application/xml');

$result_items = myquery("SELECT * FROM ".ITEMS." WHERE item_tipo=1 AND enabled=1 ORDER BY orden DESC, itemID DESC limit 0, ".CONFIG_30."","[canal=1]");
$total_items = mynumrows($result_items);

if ($total_items)
{

	$titulo = LEN_8;
	$desc_sitio = LEN_9;
	$linkuri = RUTA_CANAL_RSS."len".IGUAL.$idioma_actual;
	$copy_sitio = LEN_10;

	echo '<'.'?xml version="1.0" encoding="'.CONFIG_2.'"?'.'>'."\n\n";

?>

<rss version="2.0">
<channel>
	<title><?php echo "<![CDATA[".$titulo."]]>"; ?></title>
	<link><?php echo "<![CDATA[".$linkuri."]]>"; ?></link>
	<description><?php echo "<![CDATA[".$desc_sitio."]]>"; ?></description>
	<copyright>Copyright <?php echo "<![CDATA[".$copy_sitio."]]>"; ?></copyright>
	
<?php

	$result_s=myquery("SELECT * FROM ".ITEMS." WHERE item_tipo=1 AND enabled=1 ORDER BY orden DESC, itemID DESC limit 0, ".CONFIG_30."","[canal=2]");
	$res = "";
	while($row = myfetch($result_s))

	{

					if ($idioma_actual == 0)
					{
						$row["titulo"] = $row["titulo"];
						$row["titulo_sef"] = SEFcompleURL( $row["titulo"] );
						$row["texto_resumen"] = $row["texto_resumen"];
					}
					else if ($idioma_actual == 1)
					{
						$row["titulo"] = $row["titulo_1"];
						$row["titulo_sef"] = SEFcompleURL( $row["titulo_1"] );
						$row["texto_resumen"] = $row["texto_resumen_1"];
					}
					else if ($idioma_actual == 2)
					{
						$row["titulo"] = $row["titulo_2"];
						$row["titulo_sef"] = SEFcompleURL( $row["titulo_2"] );
						$row["texto_resumen"] = $row["texto_resumen_2"];
					}
					else if ($idioma_actual == 3)
					{
						$row["titulo"] = $row["titulo_3"];
						$row["titulo_sef"] = SEFcompleURL( $row["titulo_3"] );
						$row["texto_resumen"] = $row["texto_resumen_3"];
					}
					else if ($idioma_actual == 4)
					{
						$row["titulo"] = $row["titulo_4"];
						$row["titulo_sef"] = SEFcompleURL( $row["titulo_4"] );
						$row["texto_resumen"] = $row["texto_resumen_4"];
					}
					else if ($idioma_actual == 5)
					{
						$row["titulo"] = $row["titulo_5"];
						$row["titulo_sef"] = SEFcompleURL( $row["titulo_5"] );
						$row["texto_resumen"] = $row["texto_resumen_5"];
					}

		$enlase = RUTA_CANAL_RSS."len".IGUAL.$idioma_actual.AMPER."ent".IGUAL.$row["itemID"].AMPER.$row["titulo_sef"];
		
		if ($row["foto"] && file_exists("fotos/".$row["foto"]))
		{
			$fotoc = "<img src=\"".RUTA_INICIO_IMG."fotos/".$row["foto"]."\" /><br /><br />";
			
		} else {
		
			$fotoc = "";
		}
		
		$res .= "\n<item>\n<title><![CDATA[".$row["titulo"]."]]></title>\n<link><![CDATA[".$enlase."]]></link>\n<description><![CDATA[".$fotoc.$row["texto_resumen"]."]]></description>\n</item>\n\n";

	}

	echo $res;

} else { // no hay items

	header("Location: ".RUTA_CANAL_RSS."len".IGUAL."0");

}

?>

</channel>
</rss>